<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>DDRS.PHQ.AddRemoveWare</name>
<version>1</version>
<engineversion>30</engineversion>
<description>Add/Remove Product-Ware from Dock</description>
<arguments>
<argument index="1" name="Station.Ware" type="Var/Station and Ware" desc="Ware" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><text>set&#160;script&#160;command:&#160;</text><var>CMD_HQAddRemoveWare_Com</var></line>
<line linenr="002" indent=""><var>$Ware&#160;=&#160;</var><var>$Station.Ware</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="003" indent=""></line>
<line linenr="004" indent=""><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;uses&#160;ware&#160;</text><var>$Ware</var><text>&#160;as&#160;product</text></line>
<line linenr="005" indent="&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="006" indent="&#160;&#160;"><var>$Amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="007" indent="&#160;&#160;"><var>$Price&#160;=&#160;</var><text>get&#160;min&#160;price&#160;of&#160;ware&#160;</text><var>$Ware</var></line>
<line linenr="008" indent="&#160;&#160;"><var>$Price&#160;=&#160;</var><var>$Price</var><text>&#160;</text><var>*</var><text>&#160;</text><var>$Amount</var></line>
<line linenr="009" indent="&#160;&#160;"><var>$Amount&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$Amount</var></line>
<line linenr="010" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;add&#160;</text><var>$Amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="011" indent="&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;add&#160;money:&#160;</text><var>$Price</var></line>
<line linenr="012" indent="&#160;"><text>end</text></line>
<line linenr="013" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;remove&#160;product&#160;from&#160;factory&#160;or&#160;dock:&#160;</text><var>$Ware</var></line>
<line linenr="014" indent=""><text>else</text></line>
<line linenr="015" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Ware</var></line>
<line linenr="016" indent=""><text>end</text></line>
<line linenr="017" indent=""><text>play&#160;sample&#160;</text><var>1114</var></line>
<line linenr="018" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="DDRS.PHQ.AddRemoveWare" /><sval type="int" val="30" /><sval type="string" val="Add/Remove Product-Ware from Dock" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="4"><sval type="string" val="Station.Ware" /><sval type="string" val="Ware" /><sval type="string" val="Amount" /><sval type="string" val="Price" /></sval><sval type="array" size="15"><sval type="array" size="3"><sval type="int" val="120" /><sval type="int" val="18" /><sval type="int" val="1143" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="1165" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610609661" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610610173" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="631" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="5"><sval type="int" val="661" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="5"><sval type="int" val="781" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="13" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="3"><sval type="int" val="200" /><sval type="int" val="4" /><sval type="int" val="1114" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="48" /><sval type="string" val="Ware" /></sval></sval><sval type="array" size="4"><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
